package Modèle;
//
/**
//  Classe gérant les résultats
//
//  @ Project : OptimEisti
//  @ File Name : Resultat.java
//  @ Date : 25/04/2011
//  @ Author : Casey Alexandre, Collasse Emilie, Fong Cynthia, Gauquelin Benoit
*/
//

import java.util.*;

/**
 * Génération du résultat
 * @author Administrator
 *
 */
public class Resultat {
	protected Double meilleurRes;
	protected Vector<Variable> variables;
	public Resultat(Double meilleurRes, Vector<Variable> var) {
		this.meilleurRes=meilleurRes;
		this.variables=var;
	}
	
	/**
	 * fonction récupérant le meilleur résultat
	 * @return : le meilleur résultat
	 */
	public Double getMeilleurRes() {
		return meilleurRes;
	}
	/**
	 * Fonction permattant de determiner le meilleur résultat
	 * @param res
	 */
	public void setMeilleurRes(Double res) {
		this.meilleurRes=res;
	}
	/**
	 * Fonction permattant de récuperer les variables
	 * @return la variable demandée
	 */
	public Vector<Variable> getVariables() {
		return variables;
	}
	/**
	 * 
	 * @param var
	 */
	public void setVariables(Vector<Variable> var) {
		variables=var;
	}
}
